# Uses of Class
it.tdlight.jni.TdApi.Point

## Uses of TdApi.Point in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.Point
Modifier and Type
Field
Description
`TdApi.Point`
TdApi.VectorPathCommandCubicBezierCurve.`endControlPoint`
The end control point of the curve.
`TdApi.Point`
TdApi.VectorPathCommandCubicBezierCurve.`endPoint`
The end point of the curve.
`TdApi.Point`
TdApi.VectorPathCommandLine.`endPoint`
The end point of the straight line.
`TdApi.Point`
TdApi.VectorPathCommandCubicBezierCurve.`startControlPoint`
The start control point of the curve.
Constructors in it.tdlight.jni with parameters of type TdApi.Point
Modifier
Constructor
Description
``
`VectorPathCommandCubicBezierCurve(TdApi.Point startControlPoint, TdApi.Point endControlPoint, TdApi.Point endPoint)`
A cubic Bézier curve to a given point.
``
`VectorPathCommandLine(TdApi.Point endPoint)`
A straight line to a given point.